cascading.flow.stream.element

## Interface ElementDuct

- All Known Implementing Classes:
    AggregatorEveryStage, BoundaryStage, BufferEveryWindow, EachStage, ElementStage, EveryStage, FilterEachStage, FunctionEachStage, GroupAssertionEveryStage, GroupingSpliceGate, MemoryCoGroupGate, MemoryHashJoinGate, MemorySpliceGate, MergeStage, OperatorStage, SinkStage, SourceStage, SpliceGate, ValueAssertionEachStage

      public interface ElementDuct

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.String>` | `getBranchNames()`
    `FlowElement` | `getFlowElement()`
    `java.util.List<Scope>` | `getIncomingScopes()`
    `java.util.List<Scope>` | `getOutgoingScopes()`
    `boolean` | `hasTrapHandler()`
    `void` | `setBranchNames(java.util.Set<java.lang.String> branchNames)`
    `void` | `setTrapHandler(TrapHandler trapHandler)`

- - ### Method Detail

    - #### getBranchNames

          java.util.Set<java.lang.String> getBranchNames()

    - #### setBranchNames

          void setBranchNames(java.util.Set<java.lang.String> branchNames)

    - #### getFlowElement

          FlowElement getFlowElement()

    - #### setTrapHandler

          void setTrapHandler(TrapHandler trapHandler)

    - #### hasTrapHandler

          boolean hasTrapHandler()

    - #### getIncomingScopes

          java.util.List<Scope> getIncomingScopes()

    - #### getOutgoingScopes

          java.util.List<Scope> getOutgoingScopes()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.